%global framework syndication

#global bootstrap 1

%if !0%{?bootstrap}
%global tests 1
%endif

Summary: The Syndication Library
Name:    kf5-%{framework}
Epoch:   1
Version: 5.110.0
Release: 1%{?dist}

License: LGPLv2+ and BSD
URL:     https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

BuildRequires: make, extra-cmake-modules
BuildRequires:  kf5-rpm-macros, kf5-kio-devel >= %{version}, kf5-kcodecs-devel >= %{version}
BuildRequires:  qt5-qtbase-devel

%if 0%{?tests}
BuildRequires:  time
%endif

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{framework}-%{version} -p1

%build
%{cmake_kf5} \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}
%cmake_build

%install
%cmake_install

%check
%if 0%{?tests}
DBUS_SESSION_BUS_ADDRESS=
DISPLAY=
export CTEST_OUTPUT_ON_FAILURE=1
%ctest ||:
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSES/*.txt
%{_kf5_libdir}/libKF5Syndication.so.*
%{_kf5_datadir}/qlogging-categories5/%{framework}.*

%files devel
%{_kf5_includedir}/Syndication/
%{_kf5_libdir}/libKF5Syndication.so
%{_kf5_libdir}/cmake/KF5Syndication/
%{_kf5_archdatadir}/mkspecs/modules/qt_Syndication.pri


%changelog
* Tue Nov 21 2023 Chair <chairou@tencent.com> - 1:5.110.0-1
- Init
